use crossterm::event::{KeyCode, KeyEvent};

use crate::{
    repo::messages::RebaseDevOnMain,
    tell,
    xui::state::{UiFocus, XuiState},
    Result,
};

pub async fn handle_dev_rebase_key_event(key_event: KeyEvent, state: &mut XuiState) -> Result<()> {
    let index = state.ui.selected_forge_index;
    if let Some((_, repo_state)) = state.data.repos().get(index) {
        if let Some(repo_actor) = &repo_state.repo_actor {
            match key_event.code {
                KeyCode::Enter | KeyCode::Char('y' | 'Y') => tell!(repo_actor, RebaseDevOnMain)?,
                KeyCode::Esc | KeyCode::Char('n' | 'N') => {
                    state.ui.focus = UiFocus::RepoList;
                }
                _ => {}
            }
        }
    }

    Ok(())
}
