use crossterm::event::{KeyCode, KeyEvent};

use crate::{
    s,
    xui::state::{UiFocus, UiState},
};

pub fn handle_filter_input_key_event(key_event: KeyEvent, ui_state: &mut UiState) {
    match key_event.code {
        KeyCode::Char(char) => {
            ui_state.filter.push(char);
        }
        KeyCode::Backspace => {
            ui_state.filter.pop();
        }
        KeyCode::Tab | KeyCode::Enter => {
            ui_state.focus = UiFocus::RepoList;
        }
        KeyCode::Esc => {
            ui_state.focus = UiFocus::RepoList;
            ui_state.filter = s!("");
        }
        _ => {}
    }
}
