use ratatui::{
    style::Stylize as _,
    text::{Line, Span},
    widgets::Widget,
};

use crate::core::git::UserNotification;

pub struct UserAlert<'a> {
    pub notification: &'a UserNotification,
}

impl Widget for UserAlert<'_> {
    fn render(self, area: ratatui::prelude::Rect, buf: &mut ratatui::prelude::Buffer)
    where
        Self: Sized,
    {
        Line::from(Span::from(format!("⚠ {}", self.notification)).red()).render(area, buf);
    }
}
